Package org.eclipse.m2m.atl.emftvm.profiler

## Class Profiler.ProfilingData

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.profiler.Profiler.ProfilingData

Enclosing class:
  Profiler

    public static class Profiler.ProfilingData
    extends java.lang.Object

Profiling data for a single operation (`CodeBlock` or `Method`).

### Constructor Summary

Constructors
`ProfilingData​(CodeBlock codeBlock, java.lang.reflect.Method method, long duration, double durationRatio, long invocations)` Creates a new `Profiler.ProfilingData`.

### Method Summary

All Methods Instance Methods Concrete Methods
`CodeBlock` `getCodeBlock()` Returns the `CodeBlock`, if applicable.
`long` `getDuration()` Returns the duration spent in nanoseconds.
`double` `getDurationRatio()` Returns the duration ratio to the total execution time.
`long` `getInvocations()` Returns the amount of invocations.
`java.lang.reflect.Method` `getMethod()` Returns the native `Method`, if applicable.
`java.lang.Object` `getOperation()` Returns `getCodeBlock()` or `getMethod()`, whichever is not `null`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProfilingData

    public ProfilingData​(CodeBlock codeBlock,
                         java.lang.reflect.Method method,
                         long duration,
                         double durationRatio,
                         long invocations)

Creates a new `Profiler.ProfilingData`.

Parameters:
  `codeBlock` - the `CodeBlock`, if applicable
  `method` - the native `Method`, if applicable
  `duration` - the duration spent in nanoseconds
  `durationRatio` - the duration ratio to the total execution time
  `invocations` - the amount of invocations

### Method Detail

#### getCodeBlock

    public CodeBlock getCodeBlock()

Returns the `CodeBlock`, if applicable.

Returns:
  the codeBlock, or `null`

#### getMethod

    public java.lang.reflect.Method getMethod()

Returns the native `Method`, if applicable.

Returns:
  the method, or `null`

#### getDuration

    public long getDuration()

Returns the duration spent in nanoseconds.

Returns:
  the duration

#### getDurationRatio

    public double getDurationRatio()

Returns the duration ratio to the total execution time.

Returns:
  the durationRatio

#### getInvocations

    public long getInvocations()

Returns the amount of invocations.

Returns:
  the invocations

#### getOperation

    public java.lang.Object getOperation()

Returns `getCodeBlock()` or `getMethod()`, whichever is not `null`.

Returns:
  `getCodeBlock()`, `getMethod()`, or `null`